import request from '@/config/axios'

export interface HourVolumeVO {
  id: string
  rq: string,
  bc: string,
  bcName: string,
  lsh: string,
  sj: string,
  rxl: string,
  jml: string,
  hml: number,
  gsl: number,
  sxgsl: number,
  fjbs: number,
  mnbs: string,
  bz: string,
}

export interface HourVolumePageReqVO extends PageParam {
  xt?: string,
  startDate?: Date,
  endDate?: Date,
}

// 查询HourVolume列表
export const getHourVolumePage = (params: HourVolumePageReqVO) => {
  return request.get({ url: '/xmcpms/order-prod/wash/hourVolume/page', params })
}

// 查询HourVolume列表
export const getPointList = (params: HourVolumePageReqVO) => {
  return request.get({ url: '/xmcpms/order-prod/wash/hourVolume/list', params })
}

// 查询HourVolume详情
export const getHourVolume = (id: number) => {
  return request.get({ url: `/xmcpms/prod/wash/hourVolume/info/${id}`})
}

// 新增HourVolume
export const createHourVolume = (data: HourVolumeVO) => {
  return request.post({ url: '/xmcpms/order-prod/wash/hourVolume/create', data })
}

// 修改HourVolume
export const updateHourVolume = (data: HourVolumeVO) => {
  return request.put({ url: '/xmcpms/order-prod/wash/hourVolume/update', data })
}

// 删除HourVolume
export const deleteHourVolume = (id: number) => {
  return request.delete({ url: '/xmcpms/order-prod/wash/hourVolume/delete?id=' + id })
}

//导出HourVolumeList
export const exportHourVolume = (params) => {
  return request.download({ url: '/xmcpms/order-prod/wash/hourVolume/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/order-prod/wash/hourVolume/get-import-template' })
}
